package com.cool.bang.modules.mysql.mapper;

import com.cool.bang.modules.mysql.domain.Signatory;
import com.cool.bang.modules.mysql.domain.TrusteeshipAgreement;
import com.cool.bang.modules.mysql.domain.TrusteeshipBusiness;
import com.cool.bang.modules.mysql.domain.User;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 审批流通用DAO
 */
@Repository
public interface TrusteeshipMapper {

    int insertTrusteeshipBusiness(TrusteeshipBusiness trusteeshipBusiness);

    int insertTrusteeshipAgreement(TrusteeshipAgreement trusteeshipAgreement);

    int insertSignatory(@Param("list") List<Signatory> signatoryList);
}
