package com.cool.bang.modules.oracle.domain.po;


import java.math.BigDecimal;
import java.util.Date;

//合同信息
public class HtInfo {

    private Long HTID;
    //合同编号
    private String HTBH;

    //bank_code -- BHT xm关联 fc_project_account  取 BANKCODE
    //project 的相关信息project_id、project_number、project_account_id、project_name
    private String XMBH;

    //监管类型 0 监管 1托管
    private String JGLX;

    //org、org_name -- QYBH 去查
    private String QYBH;

    //building的相关信息 building_account_id、building_id、building_number、building_name
    //根据 LZBH 去查询 building 信息
    private String LZBH;


    //house相关信息  根据BHTFW 的FWID 去查询p_lpb_fw
    private Integer FWID;

    private String FWBH;

    //买受人
    private String BUYERNAME;
    //买受人身份证
    private String BUYERCODE;


    //付款方式 字典对应ORACLE的SDICITEM 表 DICID 13的
    private String PAYMODEL;

    //合同总价
    private BigDecimal HTZJ;

    //首付款
    private BigDecimal SFK;

    //首付款比例
    private BigDecimal SFKBL;

    //合同定金
    private BigDecimal HTDJ;

    //合同签订时间
    private Date HTDATE;

    //1 施工款抵合同
    private String SGSTATE;

    //退款标记 1退款
    private String TKSTATE;

    //1 撤销
    private String CXSTATE;

    //逾期
    private String YQFLAG;

    //商贷逾期时间
    private Date sdyqdate;

    //公积金逾期时间
    private Date gjjyqdate;

    //逾期次数
    private Integer count;

    //实际交款
    private BigDecimal tradeAmount;

    private Integer FWTYPE;//0 现房合同  1期房合同

    public String getHTBH() {
        return HTBH;
    }

    public void setHTBH(String HTBH) {
        this.HTBH = HTBH;
    }

    public String getXMBH() {
        return XMBH;
    }

    public void setXMBH(String XMBH) {
        this.XMBH = XMBH;
    }

    public String getQYBH() {
        return QYBH;
    }

    public void setQYBH(String QYBH) {
        this.QYBH = QYBH;
    }

    public String getLZBH() {
        return LZBH;
    }

    public void setLZBH(String LZBH) {
        this.LZBH = LZBH;
    }

    public Integer getFWID() {
        return FWID;
    }

    public void setFWID(Integer FWID) {
        this.FWID = FWID;
    }

    public String getBUYERNAME() {
        return BUYERNAME;
    }

    public void setBUYERNAME(String BUYERNAME) {
        this.BUYERNAME = BUYERNAME;
    }

    public String getBUYERCODE() {
        return BUYERCODE;
    }

    public void setBUYERCODE(String BUYERCODE) {
        this.BUYERCODE = BUYERCODE;
    }

    public String getPAYMODEL() {
        return PAYMODEL;
    }

    public void setPAYMODEL(String PAYMODEL) {
        this.PAYMODEL = PAYMODEL;
    }

    public BigDecimal getHTZJ() {
        return HTZJ;
    }

    public void setHTZJ(BigDecimal HTZJ) {
        this.HTZJ = HTZJ;
    }

    public BigDecimal getSFK() {
        return SFK;
    }

    public void setSFK(BigDecimal SFK) {
        this.SFK = SFK;
    }

    public BigDecimal getSFKBL() {
        return SFKBL;
    }

    public void setSFKBL(BigDecimal SFKBL) {
        this.SFKBL = SFKBL;
    }

    public BigDecimal getHTDJ() {
        return HTDJ;
    }

    public void setHTDJ(BigDecimal HTDJ) {
        this.HTDJ = HTDJ;
    }

    public Date getHTDATE() {
        return HTDATE;
    }

    public void setHTDATE(Date HTDATE) {
        this.HTDATE = HTDATE;
    }

    public String getSGSTATE() {
        return SGSTATE;
    }

    public void setSGSTATE(String SGSTATE) {
        this.SGSTATE = SGSTATE;
    }

    public String getTKSTATE() {
        return TKSTATE;
    }

    public void setTKSTATE(String TKSTATE) {
        this.TKSTATE = TKSTATE;
    }

    public String getCXSTATE() {
        return CXSTATE;
    }

    public void setCXSTATE(String CXSTATE) {
        this.CXSTATE = CXSTATE;
    }

    public Long getHTID() {
        return HTID;
    }

    public void setHTID(Long HTID) {
        this.HTID = HTID;
    }

    public String getFWBH() {
        return FWBH;
    }

    public void setFWBH(String FWBH) {
        this.FWBH = FWBH;
    }

    public String getJGLX() {
        return JGLX;
    }

    public void setJGLX(String JGLX) {
        this.JGLX = JGLX;
    }

    public String getYQFLAG() {
        return YQFLAG;
    }

    public void setYQFLAG(String YQFLAG) {
        this.YQFLAG = YQFLAG;
    }

    public Date getSdyqdate() {
        return sdyqdate;
    }

    public void setSdyqdate(Date sdyqdate) {
        this.sdyqdate = sdyqdate;
    }

    public Date getGjjyqdate() {
        return gjjyqdate;
    }

    public void setGjjyqdate(Date gjjyqdate) {
        this.gjjyqdate = gjjyqdate;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public BigDecimal getTradeAmount() {
        return tradeAmount;
    }

    public void setTradeAmount(BigDecimal tradeAmount) {
        this.tradeAmount = tradeAmount;
    }

    public Integer getFWTYPE() {
        return FWTYPE;
    }

    public void setFWTYPE(Integer FWTYPE) {
        this.FWTYPE = FWTYPE;
    }
}
