package com.cool.bang.modules.mysql.domain;

import java.math.BigDecimal;

/**
 * 楼幢管理
 *
 * @author PeiZhi Guo
 * 2022-08-05 14:29
 */
public class Building {

    private static final long serialVersionUID = 1L;

    private Integer id;

    /** 项目主键 */
    private Long projectId;

    /** 项目编号 */
    private String projectNumber;

    /** 楼幢编号 */
    private String buildingNumber;

    /** 楼幢名称 */
    private String buildingName;

    /** 楼幢坐落 */
    private String buildingAddress;

    /** 总套数 */
    private Integer houseNumber;

    /** 建筑成本主键 */
    private Integer buildCostId;

    /** 托管状态 0否 1是 */
    private Integer trusteeshipState;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public String getProjectNumber() {
        return projectNumber;
    }

    public void setProjectNumber(String projectNumber) {
        this.projectNumber = projectNumber;
    }

    public String getBuildingNumber() {
        return buildingNumber;
    }

    public void setBuildingNumber(String buildingNumber) {
        this.buildingNumber = buildingNumber;
    }

    public String getBuildingName() {
        return buildingName;
    }

    public void setBuildingName(String buildingName) {
        this.buildingName = buildingName;
    }

    public String getBuildingAddress() {
        return buildingAddress;
    }

    public void setBuildingAddress(String buildingAddress) {
        this.buildingAddress = buildingAddress;
    }

    public Integer getHouseNumber() {
        return houseNumber;
    }

    public void setHouseNumber(Integer houseNumber) {
        this.houseNumber = houseNumber;
    }

    public Integer getBuildCostId() {
        return buildCostId;
    }

    public void setBuildCostId(Integer buildCostId) {
        this.buildCostId = buildCostId;
    }

    public Integer getTrusteeshipState() {
        return trusteeshipState;
    }

    public void setTrusteeshipState(Integer trusteeshipState) {
        this.trusteeshipState = trusteeshipState;
    }
}
