package com.cool.bang.modules.mysql.domain;

import java.math.BigDecimal;

/**
 * 监管资金转托管出账通知书
 *
 * @author PeiZhi Guo
 * 2023-02-07 16:41
 */
public class SuperviseToOutgoing extends SuperviseToNotice {

    /** 划转金额 */
    private BigDecimal applyAmount;

    /** 拨付状态 0待拨付 1已拨付 */
    private Integer appropriationStatus;

    public void initNotice(SuperviseTo param) {
        super.initNotice(param);
        this.applyAmount = param.getTransferAmount();
        this.appropriationStatus = 0;
    }

    public BigDecimal getApplyAmount() {
        return applyAmount;
    }

    public void setApplyAmount(BigDecimal applyAmount) {
        this.applyAmount = applyAmount;
    }

    public Integer getAppropriationStatus() {
        return appropriationStatus;
    }

    public void setAppropriationStatus(Integer appropriationStatus) {
        this.appropriationStatus = appropriationStatus;
    }
}
